#ifndef SDL_WRAP
#define SDL_WRAP
#include <stdlib.h>
#include <iostream>

void Initialize (int flag) {
    if (SDL_Init(flag) < 0 ) {
        cerr << "Couldn't Initialize SDL!\n" << SDL_GetError() << endl;
        exit(1);
        }
    atexit(SDL_Quit);  //name of a function is a pointer to it!
    }

SDL_Surface *  SetVideoMode (int width, int height, int bpp, Uint32 flags) {
    SDL_Surface * temp;
    temp = SDL_SetVideoMode(width, height, bpp, flags);
    if (temp == NULL) {
        cerr << "Couldn't set a " << width << ' ' << height << " video mode\n"
                << SDL_GetError() << endl;
        exit(1);
        }     
    return temp;
    }
#endif
